.PHONY: $(LIBS)
libtypes.a: ; $(MAKE) -C $(TYPES) $@ -I$(BUILD_SUPPORT)
libccngwnode.a: ; $(MAKE) -C $(CCNGW_NODE) $@ -I$(BUILD_SUPPORT)
libcligwnode.a: ; $(MAKE) -C $(CLIGW_NODE) $@ -I$(BUILD_SUPPORT)
libapigwnode.a: ; $(MAKE) -C $(APIGW_NODE) $@ -I$(BUILD_SUPPORT)
libvfgwnode.a: ; $(MAKE) -C $(VFGW_NODE) $@ -I$(BUILD_SUPPORT)
libvfcnode.a: ; $(MAKE) -C $(VFC_NODE) $@ -I$(BUILD_SUPPORT)
libvfsnode.a: ; $(MAKE) -C $(VFS_NODE) $@ -I$(BUILD_SUPPORT)
liboamnode.a: ; $(MAKE) -C $(OAM_NODE) $@ -I$(BUILD_SUPPORT)
libworkernode.a: ; $(MAKE) -C $(WORKER_NODE) $@ -I$(BUILD_SUPPORT)
libhttp.a: ; $(MAKE) -C $(HTTP) $@ -I$(BUILD_SUPPORT)
libtimers.a: ; $(MAKE) -C $(TIMERS) $@ -I$(BUILD_SUPPORT)
libconfig.a: ; $(MAKE) -C $(CONFIG) $@ -I$(BUILD_SUPPORT)
libpmcommon.a: ; $(MAKE) -C $(PM_COMMON) $@ -I$(BUILD_SUPPORT)
libpmprovider.a: ; $(MAKE) -C $(PM_PROVIDER) $@ -I$(BUILD_SUPPORT)
libpmmanager.a: ; $(MAKE) -C $(PM_MANAGER) $@ -I$(BUILD_SUPPORT)
libdb_client.a: ; $(MAKE) -C $(DB) $@ -I$(BUILD_SUPPORT)
libdb_mimic.a: ; $(MAKE) -C $(DB) $@ -I$(BUILD_SUPPORT)
libdb_clckh.a: ; $(MAKE) -C $(DB) $@ -I$(BUILD_SUPPORT)
libtools.a: ; $(MAKE) -C $(TOOLS) $@ -I$(BUILD_SUPPORT)
libhasher.a: ; $(MAKE) -C $(HASHER) $@ -I$(BUILD_SUPPORT)
libnumbers.a: ; $(MAKE) -C $(NUMBERS) $@ -I$(BUILD_SUPPORT)
libsftp.a: ; $(MAKE) -C $(SFTP) $@ -I$(BUILD_SUPPORT)
libfs.a: ; $(MAKE) -C $(FILESYSTEM) $@ -I$(BUILD_SUPPORT)
libseq.a: ; $(MAKE) -C $(SEQUENCER) $@ -I$(BUILD_SUPPORT)
libasn1.a: ; $(MAKE) -C $(ASN1) $@ -I$(BUILD_SUPPORT)
libtestsupport.a: ; $(MAKE) -C $(TEST) $@ target3=support use_artifacts=off
libsip.a: ; $(MAKE) -C $(SIP) $@ use_artifacts=off
libmodulesip.a: ; $(MAKE) -C $(MODULES) $@ target3=sip use_artifacts=off
libModuleFsEsl.a: ; $(MAKE) -C $(MODULES) $@ target3=FsEsl use_artifacts=off
libModuleStorage.a: ; $(MAKE) -C $(MODULES) $@ target3=storage use_artifacts=off
ifeq ($(LIBUVR_PATH), )
  ifneq ($(CURDIR),$(KVR)/src)
    libUvr.a: ; $(MAKE) -C $(KVR) $@
  endif
endif
