#pragma once

// STL includes.
#include <string>
#include <utility>
#include <vector>

namespace KeyValue
{
    using Pair = std::pair<std::string, std::string>;
    using PairsList = std::vector<Pair>;

    PairsList parse(const std::string &str,
                    const char pairsSeparator = ',',
                    const char keyValueSeparator = '=');

} // namespace KeyValue
