#pragma once

#define CONFIG_FILE_VERSION "/configVersion"
#define UVR_ID "/uvr/id"
#define VFGW_PRIVATE_KEY_PATH "/vfgw/http/privateKeyPath"

#define DIGESTS_PATH(_root, _db_name) std::string("/") + _root + "/digests/" + _db_name
#define DIGESTS_NUMBERS   "numbers"
#define DIGESTS_NODES     "nodes"
#define DIGESTS_OPERATORS "operators"
#define DIGESTS_PUBKEYS   "pub"

#define CONNECTIONS_PATH(_root, _db_name) std::string("/") + _root + "/" + _db_name
#define CALL_INFO_REQUESTS "connections/requests"
#define CALL_INFO_RESPONSES  "connections/responses"

#define CCN_IP_ADDRESS                "/ccn/ipAddress"
#define CCN_SFTP_USER                 "/ccn/sftp user"
#define CCN_SFTP_PRIVATE_KEY          "/ccn/sftp private key"
#define CCN_SFTP_PORT                 "/ccn/sftp port"
#define CCN_EXTRA_OPTIONS             "/ccn/sftpExtraOptions"
#define CCN_REPORT_PATH   std::string("/ccn/reports/")
#define CCNGW_REPORT_PATH std::string("/ccngw/reports/")

#define INCIDENTS_REPORT  "incidents"
#define INCIDENTS_REPORT_DEFAULT_DIR  "./incidents/"

#define INCIDENTSA_REPORT "incidents_a"
#define INCIDENTSA_REPORT_DEFAULT_DIR "./incidents_a/"

#define STATS_REPORT      "statistics"
#define STATS_REPORT_DEFAULT_DIR      "./stats/"

#define CALL_INFO_RSP_DEFAULT_DIR      "./responses/"

#define UNSENT_REPORTS_SUBDIR "/unsent/"

#define TIMER_GET_INCIDENT_REQ           "/timers/getIncidentReq/period"
#define TIMER_GET_INCIDENTA_REQ          "/timers/getIncidentAReq/period"
#define TIMER_REFRESH_NUMBERS_INFO       "/timers/refreshNumbersInfo/period"
#define TIMER_REFRESH_NODES_INFO         "/timers/refreshNodesInfo/period"
#define TIMER_REFRESH_OPERATORS_INFO     "/timers/refreshOperatorsInfo/period"
#define TIMER_REFRESH_CALL_INFO_REQUESTS "/timers/refreshCallInfoRequests/period"
#define TIMER_REFRESH_PUB_KEYS           "/timers/refreshPublicKeys/period"
#define TIMER_RESEND_REPORTS             "/timers/resendReports/period"

#define PMJOBS_LIST(_root)            std::string(std::string("/") + _root + "/pm_jobs")
#define PMJOB_PERIOD(_job_name)       std::string("/pm_jobs/" + _job_name + "/period")
#define PMJOB_COUNTERS(_job_name)     std::string("/pm_jobs/" + _job_name + "/counters")

#define HTTP_LOCAL_PORT   "/vfgw/http/local port"
#define HTTP_REMOTE_PORT  "/vfgw/http/remote port"
#define HTTP_DATA_ENCRYPT "/vfgw/http/encrypted"
#define HTTP_CONNECT_TIMEOUT "/vfgw/http/connect timeout/period"
