#include "pm/common/src/counters_map.hpp"

// AFAP includes.
#include "components/log/src/Log.hpp"

namespace pm
{
    namespace counter
    {

        void list2fullIDs(configuration::counter::list in, vectorFullIDs &out)
        {
            for (auto iter = in.begin(); iter != in.end(); iter++)
            {
                auto resIter = all_names.find(iter->first);
                if (resIter == all_names.end())
                {
                    LOGERROR("Unknown counter=\"", iter->first, "\", skip it");
                    continue;
                }
                out.emplace_back(resIter->second, iter->second);
            }
        }
    }
}

#include "gen_map.cpp"
