#define PM_MODEL_CHCKSUM "6116cb92c7114818c70ced405f57c5e4"

namespace pm
{
    namespace counter
    {
        constexpr id first = 1;
        struct calls
        {
            enum
            {
                incoming = ::pm::counter::first + 1,
                outgoing,
                unverified,
                ATTMS,
                TBVRF,
                RJCTS,
                ERR1,
                ERR2,
                last
            };
        };
        struct tcp
        {
            enum
            {
                tcp_up = ::pm::counter::calls::last + 1,
                tcp_down,
                tcp_broken,
                last
            };
        };
        struct http
        {
            enum
            {
                http_up = ::pm::counter::tcp::last + 1,
                http_down,
                http_auth_reject,
                bad_request,
                not_found,
                bad_response,
                request_failed,
                request_routing_to_hub_failed,
                request_routing_to_uvr_failed,
                gen_bad_request_reply,
                gen_error_response,
                response_error,
                response_continue,
                response_release,
                last
            };
        };
        struct vfc
        {
            enum
            {
                subscribers = ::pm::counter::http::last + 1,
                last
            };
        };
        struct vfgw
        {
            enum
            {
                uvrs = ::pm::counter::vfc::last + 1,
                hubs,
                operators,
                last
            };
        };
        struct oam
        {
            enum
            {
                providers = ::pm::counter::vfgw::last + 1,
                last
            };
        };
        struct vfs
        {
            enum
            {
                incidentsA = ::pm::counter::oam::last + 1,
                checkPass,
                checkFail,
                checkTimeout,
                last
            };
        };

        constexpr id last = ::pm::counter::vfs::last;
    }
}
