LIB := lib$(BIN).a
LIBS := $(LIB) $(LIBS)

LDFLAGS  += $(RELEASE_LDFLAGS)
LIBS_EXTRA  := -l:libboost_json.a

export OBJIDR_POSTFIX := _$(BIN)

RESULT := $(BINDIR)/$(BIN)

$(RESULT): $(LIBS) | $(BINDIR)
	$(CC) $(LIBS:lib%.a=-l%) -o $@ $(LIBS_EXTRA) $(LDFLAGS)

.PHONY: build
build: $(RESULT)
	@echo -e "\nCheck the utility with: " $(shell pwd)/$(RESULT) "\n"
ifeq ($(test), on)
	$(RESULT) $(TEST_ARGS)
endif

.PHONY: install
install: ; @cp $(RESULT) $(dest)/

.PHONY: $(LIB)
$(LIB): ; $(MAKE) $@ -C src -f $(BUILD_SUPPORT)/Makefile_src.inc -I $(BUILD_SUPPORT) use_artifacts=off

include Makefile_libs.inc

include Makefile.cni