#pragma once

#define NARG(...) \
    _NARG(__VA_ARGS__, RSEQ_N())
#define _NARG(...) \
    __NARG(__VA_ARGS__)
#define __NARG(                                       \
    _1, _2, _3, _4, _5, _6, _7, _8, _9, _10,          \
    _11, _12, _13, _14, _15, _16, _17, _18, _19, _20, \
    _21, _22, _23, _24, _25, _26, _27, _28, _29, _30, \
    _31, _32, _33, _34, _35, _36, _37, _38, _39, _40, \
    _41, _42, _43, _44, _45, _46, _47, _48, _49, _50, \
    _51, _52, _53, _54, _55, _56, _57, _58, _59, _60, \
    _61, _62, _63, N, ...) N
#define RSEQ_N()                                \
    63, 62, 61, 60,                             \
        59, 58, 57, 56, 55, 54, 53, 52, 51, 50, \
        49, 48, 47, 46, 45, 44, 43, 42, 41, 40, \
        39, 38, 37, 36, 35, 34, 33, 32, 31, 30, \
        29, 28, 27, 26, 25, 24, 23, 22, 21, 20, \
        19, 18, 17, 16, 15, 14, 13, 12, 11, 10, \
        9, 8, 7, 6, 5, 4, 3, 2, 1, 0

#define CAT(x, y) x##y

#define DEC_1 0
#define DEC_2 1
#define DEC_3 2
#define DEC_4 3
#define DEC_5 4
#define DEC_6 5
#define DEC_7 6
#define DEC_8 7
#define DEC_9 8
#define DEC_10 9
#define DEC_11 10
#define DEC_12 11
#define DEC_13 12
#define DEC_14 13
#define DEC_15 14
#define DEC_16 15
#define DEC_17 16
#define DEC_18 17
#define DEC_19 18
#define DEC_20 19
#define DEC_21 20
#define DEC_22 21
#define DEC_23 22
#define DEC_24 23
#define DEC_25 24
#define DEC_26 25
#define DEC_27 26
#define DEC_28 27
#define DEC_29 28
#define DEC_30 29
#define DEC_31 30
#define DEC_32 31
#define DEC_33 32
#define DEC_34 33
#define DEC_35 34
#define DEC_36 35
#define DEC_37 36
#define DEC_38 37
#define DEC_39 38
#define DEC_40 39
#define DEC_41 40
#define DEC_42 41
#define DEC_43 42
#define DEC_44 43
#define DEC_45 44
#define DEC_46 45
#define DEC_47 46
#define DEC_48 47
#define DEC_49 48
#define DEC_50 49

#define DEC(n) CAT(DEC_, n)

#define EMPTY()
#define DEFER(...) __VA_ARGS__ EMPTY()
#define EVAL(...) __VA_ARGS__

#define HEAD(x, ...) x
#define TAIL(x, ...) __VA_ARGS__

#define FOREACH0(...)
#define FOREACH1(N, F, ...) EVAL(DEFER(CAT)(F, DEC(N)))(HEAD(__VA_ARGS__))
#define FOREACH2(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH3(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH4(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH5(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH6(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH7(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH8(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH9(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH10(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH11(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH12(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH13(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH14(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH15(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH16(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH17(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH18(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH19(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH20(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH21(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH22(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH23(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH24(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH25(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH26(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH27(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH28(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH29(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH30(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH31(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH32(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH33(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH34(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH35(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH36(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH37(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH38(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH39(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH40(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH41(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH42(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH43(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH44(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH45(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH46(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH47(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH48(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))
#define FOREACH49(N, F, ...) F(N, HEAD(__VA_ARGS__)) EVAL(DEFER(CAT)(FOREACH, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__))

#define FOREACHR0(...)
#define FOREACHR1(N, F, ...) EVAL(DEFER(CAT)(F, DEC(N)))(HEAD(__VA_ARGS__))
#define FOREACHR2(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR3(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR4(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR5(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR6(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR7(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR8(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR9(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR10(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR11(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR12(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR13(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR14(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR15(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR16(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR17(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR18(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR19(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR20(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR21(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR22(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR23(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR24(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR25(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR26(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR27(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR28(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR29(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR30(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR31(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR32(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR33(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR34(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR35(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR36(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR37(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR38(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR39(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR40(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR41(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR42(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR43(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR44(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR45(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR46(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR47(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR48(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))
#define FOREACHR49(N, F, ...) EVAL(DEFER(CAT)(FOREACHR, DEC(N)))(DEC(N), F, TAIL(__VA_ARGS__)) F(N, HEAD(__VA_ARGS__))

#define SERIALIZE0(...)
#define SERIALIZE1(N, V, SEP) V EVAL(DEFER(CAT)(SEP, DEC(N)))()
#define SERIALIZE2(N, V, SEP) V SEP() EVAL(DEFER(CAT)(SERIALIZE, DEC(N)))(DEC(N), V, SEP)
#define SERIALIZE3(N, V, SEP) V SEP() EVAL(DEFER(CAT)(SERIALIZE, DEC(N)))(DEC(N), V, SEP)
#define SERIALIZE4(N, V, SEP) V SEP() EVAL(DEFER(CAT)(SERIALIZE, DEC(N)))(DEC(N), V, SEP)
#define SERIALIZE5(N, V, SEP) V SEP() EVAL(DEFER(CAT)(SERIALIZE, DEC(N)))(DEC(N), V, SEP)
#define SERIALIZE6(N, V, SEP) V SEP() EVAL(DEFER(CAT)(SERIALIZE, DEC(N)))(DEC(N), V, SEP)
#define SERIALIZE7(N, V, SEP) V SEP() EVAL(DEFER(CAT)(SERIALIZE, DEC(N)))(DEC(N), V, SEP)
#define SERIALIZE8(N, V, SEP) V SEP() EVAL(DEFER(CAT)(SERIALIZE, DEC(N)))(DEC(N), V, SEP)
#define SERIES(N, V, SEP) CAT(SERIALIZE, N)(N, V, SEP)

#define MASK_A(X) (X << 1)
#define MASK_B(X) (X | 1)

#define MASK__F0(AA) ))
#define MASK__F(N, AA) ))
#define MASK_(N, ...) CAT(FOREACH, N)(N, MASK__F, __VA_ARGS__)

#define MASK_F0(AA) DEFER(MASK_B) ( DEFER(MASK_A) (
#define MASK_F(N, AA) DEFER(MASK_B) ( DEFER(MASK_A) (
#define _MASK(N, ...) CAT(FOREACH, N)(N, MASK_F, __VA_ARGS__) 1 MASK_(N)
#define MASK(N, ...) EVAL(_MASK(DEC(N), __VA_ARGS__))
