#include "oam_types.hpp"

namespace oam
{
    pm::transaction::data::data(const primitive::generic::HeaderPtr &header,
                                int numOfWaitProviders,
                                OutputFormat outputFormat)
        : m_numOfWaitProviders(numOfWaitProviders),
          m_header(header),
          m_outputFormat(outputFormat)
    {
    }

    pm::transaction::data::data(const pm::transaction::data &d)
        : m_numOfWaitProviders(d.m_numOfWaitProviders),
          m_header(d.m_header),
          m_accum_storage(d.m_accum_storage),
          m_outputFormat(d.m_outputFormat)
    {
    }

    pm::transaction::data &pm::transaction::data::operator=(const pm::transaction::data &d)
    {
        m_numOfWaitProviders = d.m_numOfWaitProviders;
        m_header = d.m_header;
        m_accum_storage = d.m_accum_storage;
        m_outputFormat = d.m_outputFormat;
        return *this;
    }
}