#define PM_MODEL_CHCKSUM "6116cb92c7114818c70ced405f57c5e4"

namespace pm
{
    namespace counter
    {
        const map_named all_names = {
            {"incoming", calls::incoming},
            {"outgoing", calls::outgoing},
            {"unverified", calls::unverified},
            {"ATTMS", calls::ATTMS},
            {"TBVRF", calls::TBVRF},
            {"RJCTS", calls::RJCTS},
            {"ERR1", calls::ERR1},
            {"ERR2", calls::ERR2},
            {"tcp_up", tcp::tcp_up},
            {"tcp_down", tcp::tcp_down},
            {"tcp_broken", tcp::tcp_broken},
            {"http_up", http::http_up},
            {"http_down", http::http_down},
            {"http_auth_reject", http::http_auth_reject},
            {"http_bad_request", http::bad_request},
            {"http_not_found", http::not_found},
            {"http_bad_response", http::bad_response},
            {"http_request_failed", http::request_failed},
            {"http_request_routing_to_hub_failed", http::request_routing_to_hub_failed},
            {"http_request_routing_to_uvr_failed", http::request_routing_to_uvr_failed},
            {"http_generate_bad_request_reply", http::gen_bad_request_reply},
            {"http_generate_error_response", http::gen_error_response},
            {"http_response_error", http::response_error},
            {"http_response_continue", http::response_continue},
            {"http_response_release", http::response_release},
            {"subscribers", vfc::subscribers},
            {"uvrs", vfgw::uvrs},
            {"hubs", vfgw::hubs},
            {"operators", vfgw::operators},
            {"oam_providers", oam::providers},
            {"incidentsA", vfs::incidentsA},
            {"checkPass", vfs::checkPass},
            {"checkFail", vfs::checkFail},
            {"checkTimeout", vfs::checkTimeout}};

        const map_ids all_ids = {
            {calls::incoming, "incoming"},
            {calls::outgoing, "outgoing"},
            {calls::unverified, "unverified"},
            {calls::ATTMS, "ATTMS"},
            {calls::TBVRF, "TBVRF"},
            {calls::RJCTS, "RJCTS"},
            {calls::ERR1, "ERR1"},
            {calls::ERR2, "ERR2"},
            {tcp::tcp_up, "tcp_up"},
            {tcp::tcp_down, "tcp_down"},
            {tcp::tcp_broken, "tcp_broken"},
            {http::http_up, "http_up"},
            {http::http_down, "http_down"},
            {http::http_auth_reject, "http_auth_reject"},
            {http::bad_request, "http_bad_request"},
            {http::not_found, "http_not_found"},
            {http::bad_response, "http_bad_response"},
            {http::request_failed, "http_request_failed"},
            {http::request_routing_to_hub_failed, "http_request_routing_to_hub_failed"},
            {http::request_routing_to_uvr_failed, "http_request_routing_to_uvr_failed"},
            {http::gen_bad_request_reply, "http_generate_bad_request_reply"},
            {http::gen_error_response, "http_generate_error_response"},
            {http::response_error, "http_response_error"},
            {http::response_continue, "http_response_continue"},
            {http::response_release, "http_response_release"},
            {vfc::subscribers, "subscribers"},
            {vfgw::uvrs, "uvrs"},
            {vfgw::hubs, "hubs"},
            {vfgw::operators, "operators"},
            {oam::providers, "oam_providers"},
            {vfs::incidentsA, "incidentsA"},
            {vfs::checkPass, "checkPass"},
            {vfs::checkFail, "checkFail"},
            {vfs::checkTimeout, "checkTimeout"}};

    }
}
